<header class="app-header navbar">
    <button class="nav-link navbar-toggler sidebar-toggler d-xl-none d-lg-none" type="button" data-toggle="sidebar-show">
        <span class="navbar-toggler-icon"></span>
    </button>
    <a class="navbar-brand" href="#">
        <img class="navbar-brand-full" src="assets/Images/logo.png" width="80" height="35" alt="CoreUI Logo">
        <img class="navbar-brand-minimized" src="assets/Images/logo.png" width="80" height="35" alt="CoreUI Logo">
    </a>
    <button class="nav-link navbar-toggler sidebar-toggler d-md-down-none" type="button" data-toggle="sidebar-lg-show">
        <span class="navbar-toggler-icon"></span>
    </button>

    <ul class="nav navbar-nav ml-auto">
        <li class="nav-item d-md-down-none">
            <a class="nav-link" href="#">
                <i class="icon-bell"></i>
                <span class="badge badge-pill badge-danger">5</span>
            </a>
        </li>
        <li class="dropdown">
            <a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true"
                aria-expanded="false" title="{{User.FullName}}">
                <img class="img-avatar" src="assets/Images/Profile.jpg" alt="vikas@systemtricks.com">
            </a>
            <ul class="dropdown-menu  dropdown-menu-right">
                <li class="dropdown-header">
                    <strong>{{User.FullName}} ({{User.RoleName}})</strong>
                </li>

                <!-- <a class="dropdown-item" href="#">
                    <i class="fa fa-user"></i> Profile</a>
                <a class="dropdown-item" href="#">
                    <i class="fa fa-wrench"></i> Settings</a>
                <a class="dropdown-item" href="#">
                    <i class="fa fa-usd"></i> Payments
                    <span class="badge badge-secondary">42</span>
                </a>
                <a class="dropdown-item" href="#">
                    <i class="fa fa-file"></i> Projects
                    <span class="badge badge-primary">42</span>
                </a> -->
                <li class="dropdown-divider"></li>
                <li>
                    <a class="dropdown-item" (click)="LogOut()">
                        <i class="fa fa-lock"></i> Logout</a>
                </li>

            </ul>
        </li>
    </ul>
    <button class="navbar-toggler aside-menu-toggler" type="button" data-toggle="aside-menu-lg-show"
        style="min-width: unset;visibility: hidden;">
        <span class="navbar-toggler-icon"></span>
    </button>
</header>
<div class="app-body">
    <div class="sidebar">
        <nav class="sidebar-nav ">
            <ul class="nav">
                <li class="nav-item">
                    <a routerLink="/Home/Dashboard" routerLinkActive="active" class="nav-link"
                        [routerLinkActiveOptions]="{exact: true}">
                        <i class="nav-icon icon-speedometer"></i> Dashboard

                    </a>
                </li>



                <li class="nav-item">
                    <a routerLink="/Home/Dashboard/Training" routerLinkActive="active" class="nav-link"
                        [routerLinkActiveOptions]="{exact: true}">
                        <i class="nav-icon icon-settings fa-spin"></i> Training

                    </a>
                </li>
                <!-- <li class="nav-item">
                    <a routerLink="/Home/Dashboard/Test" routerLinkActive="active" class="nav-link"
                        [routerLinkActiveOptions]="{exact: true}">
                        <i class="nav-icon icon-speedometer"></i> Test

                    </a>
                </li>
                <li class="nav-item nav-dropdown">
                    <a class="nav-link nav-dropdown-toggle" href="#">
                        <i class="nav-icon icon-puzzle"></i> Base</a>
                    <ul class="nav-dropdown-items">
                        <li class="nav-item">
                            <a class="nav-link" href="base/breadcrumb.html">
                                <i class="nav-icon icon-puzzle"></i> Breadcrumb</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="base/cards.html">
                                <i class="nav-icon icon-puzzle"></i> Cards</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="base/carousel.html">
                                <i class="nav-icon icon-puzzle"></i> Carousel</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="base/collapse.html">
                                <i class="nav-icon icon-puzzle"></i> Collapse</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="base/forms.html">
                                <i class="nav-icon icon-puzzle"></i> Forms</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="base/jumbotron.html">
                                <i class="nav-icon icon-puzzle"></i> Jumbotron</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="base/list-group.html">
                                <i class="nav-icon icon-puzzle"></i> List group</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="base/navs.html">
                                <i class="nav-icon icon-puzzle"></i> Navs</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="base/pagination.html">
                                <i class="nav-icon icon-puzzle"></i> Pagination</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="base/popovers.html">
                                <i class="nav-icon icon-puzzle"></i> Popovers</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="base/progress.html">
                                <i class="nav-icon icon-puzzle"></i> Progress</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="base/scrollspy.html">
                                <i class="nav-icon icon-puzzle"></i> Scrollspy</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="base/switches.html">
                                <i class="nav-icon icon-puzzle"></i> Switches</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="base/tables.html">
                                <i class="nav-icon icon-puzzle"></i> Tables</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="base/tabs.html">
                                <i class="nav-icon icon-puzzle"></i> Tabs</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="base/tooltips.html">
                                <i class="nav-icon icon-puzzle"></i> Tooltips</a>
                        </li>
                    </ul>
                </li>
                <li class="nav-item nav-dropdown">
                    <a class="nav-link nav-dropdown-toggle" href="#">
                        <i class="nav-icon icon-cursor"></i> Buttons</a>
                    <ul class="nav-dropdown-items">
                        <li class="nav-item">
                            <a class="nav-link" href="buttons/buttons.html">
                                <i class="nav-icon icon-cursor"></i> Buttons</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="buttons/button-group.html">
                                <i class="nav-icon icon-cursor"></i> Buttons Group</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="buttons/dropdowns.html">
                                <i class="nav-icon icon-cursor"></i> Dropdowns</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="buttons/brand-buttons.html">
                                <i class="nav-icon icon-cursor"></i> Brand Buttons</a>
                        </li>
                    </ul>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="charts.html">
                        <i class="nav-icon icon-pie-chart"></i> Charts</a>
                </li>
                <li class="nav-item nav-dropdown">
                    <a class="nav-link nav-dropdown-toggle" href="#">
                        <i class="nav-icon icon-star"></i> Icons</a>
                    <ul class="nav-dropdown-items">
                        <li class="nav-item">
                            <a class="nav-link" href="icons/coreui-icons.html">
                                <i class="nav-icon icon-star"></i> CoreUI Icons
                                <span class="badge badge-success">NEW</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="icons/flags.html">
                                <i class="nav-icon icon-star"></i> Flags</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="icons/font-awesome.html">
                                <i class="nav-icon icon-star"></i> Font Awesome
                                <span class="badge badge-secondary">4.7</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="icons/simple-line-icons.html">
                                <i class="nav-icon icon-star"></i> Simple Line Icons</a>
                        </li>
                    </ul>
                </li>
                <li class="nav-item nav-dropdown">
                    <a class="nav-link nav-dropdown-toggle" href="#">
                        <i class="nav-icon icon-bell"></i> Notifications</a>
                    <ul class="nav-dropdown-items">
                        <li class="nav-item">
                            <a class="nav-link" href="notifications/alerts.html">
                                <i class="nav-icon icon-bell"></i> Alerts</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="notifications/badge.html">
                                <i class="nav-icon icon-bell"></i> Badge</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="notifications/modals.html">
                                <i class="nav-icon icon-bell"></i> Modals</a>
                        </li>
                    </ul>
                </li>

                <li class="nav-item nav-dropdown">
                    <a class="nav-link nav-dropdown-toggle" href="#">
                        <i class="nav-icon icon-star"></i> Pages</a>
                    <ul class="nav-dropdown-items">
                        <li class="nav-item">
                            <a class="nav-link" href="login.html" target="_top">
                                <i class="nav-icon icon-star"></i> Login</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="register.html" target="_top">
                                <i class="nav-icon icon-star"></i> Register</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="404.html" target="_top">
                                <i class="nav-icon icon-star"></i> Error 404</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="500.html" target="_top">
                                <i class="nav-icon icon-star"></i> Error 500</a>
                        </li>
                    </ul>
                </li> -->

            </ul>
        </nav>
        <button class="sidebar-minimizer brand-minimizer" type="button">
            <i class="fa fa-angle-left fa-2x"></i>
        </button>
    </div>
    <main class="main custom-scroll">
        <!-- Breadcrumb-->

        <app-bread-crumb [data]="BreadCrumbList">

        </app-bread-crumb>
        <div class="container-fluid">
            <div class="animated fadeIn" id="main-content">

                <router-outlet (deactivate)="onDeactivate()"></router-outlet>

            </div>
        </div>

    </main>
    <div class="div-footer hide-footer">
        <div>
            <span>&copy; 2020 SystemTricks</span>
        </div>
        <div class="ml-auto">
            <span>Powered by </span>
            <a target="_blank" href="https://systemtricks.com/">SystemTricks</a>
        </div>
    </div>
</div>
<!-- <p>footer</p> -->